## rocr-runtime 7.1.0+dfsg

=== debian/changelog ===
rocr-runtime (7.1.0+dfsg-0ubuntu5) resolute; urgency=medium

  * New upstream version 7.1.0 to ubuntu (LP: #2138659)
  * d/control: change build-depends to upstream llvm
  * d/rules: remove custom rocm path for CMAKE_PREFIX_PATH
  * d/control: remove ppc64el and riscv from architectures as they are not
    officially supported yet
  * d/p/0013-fix-arm64-x86-intrinsics: guard x86 specific fence intrinsics

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 20 Jan 2026 11:02:35 +0100

rocr-runtime (7.1.0+dfsg-0ubuntu4) resolute; urgency=medium

  * d/patches/{0002,0006}: refresh patches indexes
  * d/p/series: Drop outdated patches for 7.1.0
    - 0011-remove-gfx940-and-gfx941-support.patch
    - 0012-strip-x86-intrinsics-from-xdna-support.patch
    - 0013-add-arm-and-ppc-memory-barriers.patch
  * d/p/0011-hsakmt-bump-vgpr-count-for-gfx1151.patch: add
    to fix incorrect VGPR count for gfx1151 in libhsakmt1
  * d/p/0012-hsakmt-expose-and-use-cwsr-and-control-stack-sizes.patch
    - Add patch to use KFD CWSR/CtlStack sizes.

  * changes below was added on top of 6.4.3+dfsg-1~exp2 and rebased to 7.1.0
    but keeping them here in the changelog to have more historical knowledge
    about the work that has been done before.
    - d/rules: fix llvm rocm missing path
    - d/control: Rename Build-Depends to llvm-toolchain-rocm fork
    - d/control: Add clang-format-rocm and clang-tidy-rocm as required
      build dependencies for the new toolchain
    - d/control: Remove unused mlir-20 dependencies
    - d/control: Update Maintainer field for the Ubuntu archive upload

 -- Igor Luppi <igor.luppi@canonical.com>  Tue, 16 Dec 2025 13:31:26 -0300

rocr-runtime (7.1.0+dfsg-0ubuntu3) resolute; urgency=medium

  * d/control: update build-deps to use the 7.1 AMD compiler

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Tue, 25 Nov 2025 09:59:34 -0300

rocr-runtime (7.1.0+dfsg-0ubuntu2) resolute; urgency=medium

  * d/p/0009-fix-missing-symbols.patch, d/libhsakmt1.symbols: add
    hsaKmtModelEnabled to the list

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Wed, 19 Nov 2025 13:23:34 +0000

rocr-runtime (7.1.0+dfsg-0ubuntu1) resolute; urgency=medium

  * New upstream version 7.1.0+dfsg
  * d/copyright: remove mention of
    runtime/hsa-runtime/hsa-backward-compat.cmake
  * d/{libhsa-runtime64-1, libhsakmt1}.symbols: update symbols for ROCm 7.1.0
  * Refresh patches:
    - d/p/0001-link-to-drm_amdgpu.patch
    - d/p/0007-shared-libhsakmt.patch

 -- Andreas Glinserer <andreas.glinserer@canonical.com>  Tue, 04 Nov 2025 15:14:28 +0100

rocr-runtime (6.4.3+dfsg-4) unstable; urgency=medium

  * Re-introduces Breaks for libamdhip64-5, rocm-opencl-icd.
    This were erroneously removed. Details of the breakage are documented
    in #1118618.

 -- Christian Kastner <ckk@debian.org>  Thu, 06 Nov 2025 20:18:43 +0100

rocr-runtime (6.4.3+dfsg-3) unstable; urgency=medium

  * Remove Breaks libamdhip64-5 and rocm-opencl-icd annotations from
    libhsa-runtime64-1 until the libamdhip64-5 to libamdhip64-6
    transition has completed (Closes: #1118939)

 -- Cordell Bloor <cgmb@debian.org>  Sat, 25 Oct 2025 11:54:22 -0600

rocr-runtime (6.4.3+dfsg-2) unstable; urgency=medium

  * Add d/p/0012-strip-x86-intrinsics-from-xdna-support.patch and
    d/p/0013-add-arm-and-ppc-memory-barriers.patch to fix FTBFS on
    arm64 and ppc64el (Closes: #1118633)
  * Add Breaks libamdhip64-5 and rocm-opencl-icd annotations to
    libhsa-runtime64-1 as the introduction of support for generic
    ISAs has broken key assumptions in the ROCm Common Language Runtime.

 -- Cordell Bloor <cgmb@debian.org>  Sat, 25 Oct 2025 03:21:31 -0600

rocr-runtime (6.4.3+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * Update from LLVM 20 to LLVM 21
  * Remove unnecessary LLVM MLIR packages from B-D
  * Add riscv64 to build architectures
  * Update d/gbp.conf to follow DEP-14
  * Drop inactive maintainers from uploaders
  * Fix CMake configure flags that were dropped by mistake in 6.4.3+dfsg-1~exp1
  * Add d/p/0011-remove-gfx940-and-gfx941-support.patch to remove gfx940 and
    gfx941 build targets. These architectures were never used for production
    hardware and support has been dropped from LLVM.

 -- Cordell Bloor <cgmb@debian.org>  Fri, 17 Oct 2025 12:18:15 -0600
